Package org.h2gis.functions.spatial.split

# Class ST_LineIntersector

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.split.ST_LineIntersector

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_LineIntersector extends org.h2gis.api.DeterministicScalarFunction
LineIntersector is used to split an input geometry (LineString or MultiLineString) by a set of geometries.

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_LineIntersector()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addGeometryToSegments(org.locationtech.jts.geom.Geometry geometry, int flag, ArrayList<org.locationtech.jts.noding.SegmentString> segments)`
Convert the a geometry as a list of segments and mark it with a flag
`String`
`getJavaStaticMethod()`
`static ArrayList<org.locationtech.jts.noding.SegmentString>`
`getSegments(org.locationtech.jts.geom.Geometry inputLines, org.locationtech.jts.geom.Geometry clipper)`
Convert the input geometries as a list of segments and mark them with a flag to identify input and output geometries.
`static org.locationtech.jts.geom.Geometry`
`lineIntersector(org.locationtech.jts.geom.Geometry inputLines, org.locationtech.jts.geom.Geometry clipper)`
Split a lineal geometry by a another geometry

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_LineIntersector

public ST_LineIntersector()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### lineIntersector

public static org.locationtech.jts.geom.Geometry lineIntersector(org.locationtech.jts.geom.Geometry inputLines, org.locationtech.jts.geom.Geometry clipper) throws IllegalArgumentException, SQLException
Split a lineal geometry by a another geometry

Parameters:
  `inputLines` -
  `clipper` -
Returns:
Throws:
  `SQLException`
  `IllegalArgumentException`

### getSegments

public static ArrayList<org.locationtech.jts.noding.SegmentString> getSegments(org.locationtech.jts.geom.Geometry inputLines, org.locationtech.jts.geom.Geometry clipper)
Convert the input geometries as a list of segments and mark them with a flag to identify input and output geometries.

Parameters:
  `inputLines` -
  `clipper` -
Returns:

### addGeometryToSegments

public static void addGeometryToSegments(org.locationtech.jts.geom.Geometry geometry, int flag, ArrayList<org.locationtech.jts.noding.SegmentString> segments)
Convert the a geometry as a list of segments and mark it with a flag

Parameters:
  `geometry` -
  `flag` -
  `segments` -